mssql_fetch_field
mssql_fetch_row
Mssql Functions
PHP Manual

# mssql_fetch_object

(PHP 4, PHP 5, PECL odbtp >= 1.1.1)

mssql_fetch_object — Fetch row as object

### Description

object mssql_fetch_object ( resource `$result` )

mssql_fetch_object() is similar to mssql_fetch_array(), with one difference - an object is returned, instead of an array. Indirectly, that means that you can only access the data by the field names, and not by their offsets (numbers are illegal property names).

Speed-wise, the function is identical to mssql_fetch_array(), and almost as quick as mssql_fetch_row() (the difference is insignificant).

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

### Return Values

Returns an object with properties that correspond to the fetched row, or `FALSE` if there are no more rows.

### Examples

Example #1 mssql_fetch_object() example

`<?php
// Send a select query to MSSQL
$query = mssql_query('SELECT [username], [name] FROM [php].[dbo].[userlist]');
// Check if there were any records
if (!mssql_num_rows($query)) {
echo 'No records found';
} else {
// Print a nice list of users in the format of:
// * name (username)
echo '<ul>';
while ($row = mssql_fetch_object($query)) {
echo '<li>' . $row->name . ' (' . $row->username . ')</li>';
}
echo '</ul>';
}
// Free the query result
mssql_free_result($query);
?>`

### Notes

> Note: Field names returned by this function are case-sensitive.

> Note: This function sets NULL fields to the PHP `NULL` value.

### See Also

- mssql_fetch_array() - Fetch a result row as an associative array, a numeric array, or both
- mssql_fetch_row() - Get row as enumerated array

mssql_fetch_field
mssql_fetch_row
Mssql Functions
PHP Manual